ResourceManagerAdministrationProtocol (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api, interface: ResourceManagerAdministrationProtocol

Package org.apache.hadoop.yarn.server.api

# Interface ResourceManagerAdministrationProtocol

All Superinterfaces:
  `org.apache.hadoop.tools.GetUserMappingsProtocol`

@Private public interface ResourceManagerAdministrationProtocol extends org.apache.hadoop.tools.GetUserMappingsProtocol

- ## Field Summary

  ### Fields inherited from interface org.apache.hadoop.tools.GetUserMappingsProtocol

  `versionID`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddToClusterNodeLabelsResponse`
  `addToClusterNodeLabels(AddToClusterNodeLabelsRequest request)`
  `BatchSaveFederationQueuePoliciesResponse`
  `batchSaveFederationQueuePolicies(BatchSaveFederationQueuePoliciesRequest request)`
  In YARN-Federation mode, this method provides a way to save queue policies in batches.
  `CheckForDecommissioningNodesResponse`
  `checkForDecommissioningNodes(CheckForDecommissioningNodesRequest checkForDecommissioningNodesRequest)`
  `DeleteFederationApplicationResponse`
  `deleteFederationApplication(DeleteFederationApplicationRequest request)`
  In YARN-Federation mode, this method provides a way to delete federation application.
  `DeleteFederationQueuePoliciesResponse`
  `deleteFederationPoliciesByQueues(DeleteFederationQueuePoliciesRequest request)`
  In YARN-Federation mode, this method provides a way to delete queue weight policies.
  `DeregisterSubClusterResponse`
  `deregisterSubCluster(DeregisterSubClusterRequest request)`
  In YARN Federation mode, We allow users to mark subClusters With no heartbeat for a long time as SC_LOST state.
  `GetSubClustersResponse`
  `getFederationSubClusters(GetSubClustersRequest request)`
  In YARN-Federation mode, this method provides a way to get federation subcluster list.
  `QueryFederationQueuePoliciesResponse`
  `listFederationQueuePolicies(QueryFederationQueuePoliciesRequest request)`
  In YARN-Federation mode, this method provides a way to list policies.
  `NodesToAttributesMappingResponse`
  `mapAttributesToNodes(NodesToAttributesMappingRequest request)`
  `RefreshAdminAclsResponse`
  `refreshAdminAcls(RefreshAdminAclsRequest request)`
  `RefreshClusterMaxPriorityResponse`
  `refreshClusterMaxPriority(RefreshClusterMaxPriorityRequest request)`
  `RefreshNodesResponse`
  `refreshNodes(RefreshNodesRequest request)`
  `RefreshNodesResourcesResponse`
  `refreshNodesResources(RefreshNodesResourcesRequest request)`
  `RefreshQueuesResponse`
  `refreshQueues(RefreshQueuesRequest request)`
  `RefreshServiceAclsResponse`
  `refreshServiceAcls(RefreshServiceAclsRequest request)`
  `RefreshSuperUserGroupsConfigurationResponse`
  `refreshSuperUserGroupsConfiguration(RefreshSuperUserGroupsConfigurationRequest request)`
  `RefreshUserToGroupsMappingsResponse`
  `refreshUserToGroupsMappings(RefreshUserToGroupsMappingsRequest request)`
  `RemoveFromClusterNodeLabelsResponse`
  `removeFromClusterNodeLabels(RemoveFromClusterNodeLabelsRequest request)`
  `ReplaceLabelsOnNodeResponse`
  `replaceLabelsOnNode(ReplaceLabelsOnNodeRequest request)`
  `SaveFederationQueuePolicyResponse`
  `saveFederationQueuePolicy(SaveFederationQueuePolicyRequest request)`
  In YARN-Federation mode, We will be storing the Policy information for Queues.
  `UpdateNodeResourceResponse`
  `updateNodeResource(UpdateNodeResourceRequest request)`
  The interface used by admin to update nodes' resources to the `ResourceManager`

  ### Methods inherited from interface org.apache.hadoop.tools.GetUserMappingsProtocol

  `getGroupsForUser`

- ## Method Details

  - ### refreshQueues

    @Private RefreshQueuesResponse refreshQueues(RefreshQueuesRequest request) throws org.apache.hadoop.ipc.StandbyException, YarnException, IOException
    Throws:
      `org.apache.hadoop.ipc.StandbyException`
      `YarnException`
      `IOException`

  - ### refreshNodes

    @Private RefreshNodesResponse refreshNodes(RefreshNodesRequest request) throws org.apache.hadoop.ipc.StandbyException, YarnException, IOException
    Throws:
      `org.apache.hadoop.ipc.StandbyException`
      `YarnException`
      `IOException`

  - ### refreshSuperUserGroupsConfiguration

    @Private RefreshSuperUserGroupsConfigurationResponse refreshSuperUserGroupsConfiguration(RefreshSuperUserGroupsConfigurationRequest request) throws org.apache.hadoop.ipc.StandbyException, YarnException, IOException
    Throws:
      `org.apache.hadoop.ipc.StandbyException`
      `YarnException`
      `IOException`

  - ### refreshUserToGroupsMappings

    @Private RefreshUserToGroupsMappingsResponse refreshUserToGroupsMappings(RefreshUserToGroupsMappingsRequest request) throws org.apache.hadoop.ipc.StandbyException, YarnException, IOException
    Throws:
      `org.apache.hadoop.ipc.StandbyException`
      `YarnException`
      `IOException`

  - ### refreshAdminAcls

    @Private RefreshAdminAclsResponse refreshAdminAcls(RefreshAdminAclsRequest request) throws YarnException, IOException
    Throws:
      `YarnException`
      `IOException`

  - ### refreshServiceAcls

    @Private RefreshServiceAclsResponse refreshServiceAcls(RefreshServiceAclsRequest request) throws YarnException, IOException
    Throws:
      `YarnException`
      `IOException`

  - ### updateNodeResource

    @Private UpdateNodeResourceResponse updateNodeResource(UpdateNodeResourceRequest request) throws YarnException, IOException

    The interface used by admin to update nodes' resources to the `ResourceManager`

    .

    The admin client is required to provide details such as a map from `NodeId` to `ResourceOption` required to update resources on a list of `RMNode` in `ResourceManager` etc. via the `UpdateNodeResourceRequest`.

    Parameters:
      `request` - request to update resource for a node in cluster.
    Returns:
      (empty) response on accepting update.
    Throws:
      `YarnException` - exceptions from yarn servers.
      `IOException` - io error occur.

  - ### refreshNodesResources

    @Private @Evolving RefreshNodesResourcesResponse refreshNodesResources(RefreshNodesResourcesRequest request) throws YarnException, IOException
    Throws:
      `YarnException`
      `IOException`

  - ### addToClusterNodeLabels

    @Private AddToClusterNodeLabelsResponse addToClusterNodeLabels(AddToClusterNodeLabelsRequest request) throws YarnException, IOException
    Throws:
      `YarnException`
      `IOException`

  - ### removeFromClusterNodeLabels

    @Private RemoveFromClusterNodeLabelsResponse removeFromClusterNodeLabels(RemoveFromClusterNodeLabelsRequest request) throws YarnException, IOException
    Throws:
      `YarnException`
      `IOException`

  - ### replaceLabelsOnNode

    @Private ReplaceLabelsOnNodeResponse replaceLabelsOnNode(ReplaceLabelsOnNodeRequest request) throws YarnException, IOException
    Throws:
      `YarnException`
      `IOException`

  - ### checkForDecommissioningNodes

    @Private CheckForDecommissioningNodesResponse checkForDecommissioningNodes(CheckForDecommissioningNodesRequest checkForDecommissioningNodesRequest) throws YarnException, IOException
    Throws:
      `YarnException`
      `IOException`

  - ### refreshClusterMaxPriority

    @Private RefreshClusterMaxPriorityResponse refreshClusterMaxPriority(RefreshClusterMaxPriorityRequest request) throws YarnException, IOException
    Throws:
      `YarnException`
      `IOException`

  - ### mapAttributesToNodes

    @Private NodesToAttributesMappingResponse mapAttributesToNodes(NodesToAttributesMappingRequest request) throws YarnException, IOException
    Throws:
      `YarnException`
      `IOException`

  - ### deregisterSubCluster

    @Private DeregisterSubClusterResponse deregisterSubCluster(DeregisterSubClusterRequest request) throws YarnException, IOException
    In YARN Federation mode, We allow users to mark subClusters With no heartbeat for a long time as SC_LOST state. If we include a specific subClusterId in the request, check for the specified subCluster. If subClusterId is empty, all subClusters are checked.
    Parameters:
      `request` - deregisterSubCluster request. The request contains the id of to deregister sub-cluster.
    Returns:
      Response from deregisterSubCluster.
    Throws:
      `YarnException` - exceptions from yarn servers.
      `IOException` - if an IO error occurred.

  - ### saveFederationQueuePolicy

    @Private SaveFederationQueuePolicyResponse saveFederationQueuePolicy(SaveFederationQueuePolicyRequest request) throws YarnException, IOException
    In YARN-Federation mode, We will be storing the Policy information for Queues.
    Parameters:
      `request` - saveFederationQueuePolicy Request
    Returns:
      Response from saveFederationQueuePolicy.
    Throws:
      `YarnException` - exceptions from yarn servers.
      `IOException` - if an IO error occurred.

  - ### batchSaveFederationQueuePolicies

    @Private BatchSaveFederationQueuePoliciesResponse batchSaveFederationQueuePolicies(BatchSaveFederationQueuePoliciesRequest request) throws YarnException, IOException
    In YARN-Federation mode, this method provides a way to save queue policies in batches.
    Parameters:
      `request` - BatchSaveFederationQueuePolicies Request.
    Returns:
      Response from batchSaveFederationQueuePolicies.
    Throws:
      `YarnException` - exceptions from yarn servers.
      `IOException` - if an IO error occurred.

  - ### listFederationQueuePolicies

    @Private QueryFederationQueuePoliciesResponse listFederationQueuePolicies(QueryFederationQueuePoliciesRequest request) throws YarnException, IOException
    In YARN-Federation mode, this method provides a way to list policies.
    Parameters:
      `request` - QueryFederationQueuePoliciesRequest Request.
    Returns:
      Response from listFederationQueuePolicies.
    Throws:
      `YarnException` - exceptions from yarn servers.
      `IOException` - if an IO error occurred.

  - ### deleteFederationApplication

    @Private DeleteFederationApplicationResponse deleteFederationApplication(DeleteFederationApplicationRequest request) throws YarnException, IOException
    In YARN-Federation mode, this method provides a way to delete federation application.
    Parameters:
      `request` - DeleteFederationApplicationRequest Request.
    Returns:
      Response from deleteFederationApplication.
    Throws:
      `YarnException` - exceptions from yarn servers.
      `IOException` - if an IO error occurred.

  - ### getFederationSubClusters

    @Private GetSubClustersResponse getFederationSubClusters(GetSubClustersRequest request) throws YarnException, IOException
    In YARN-Federation mode, this method provides a way to get federation subcluster list.
    Parameters:
      `request` - GetSubClustersRequest Request.
    Returns:
      Response from getFederationSubClusters.
    Throws:
      `YarnException` - exceptions from yarn servers.
      `IOException` - if an IO error occurred.

  - ### deleteFederationPoliciesByQueues

    @Private DeleteFederationQueuePoliciesResponse deleteFederationPoliciesByQueues(DeleteFederationQueuePoliciesRequest request) throws YarnException, IOException
    In YARN-Federation mode, this method provides a way to delete queue weight policies.
    Parameters:
      `request` - DeleteFederationQueuePoliciesRequest Request.
    Returns:
      Response from DeleteFederationQueuePolicies.
    Throws:
      `YarnException` - exceptions from yarn servers.
      `IOException` - if an IO error occurred.